# 32/64bit spec
#
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Desktop manager for the Xfce Desktop Environment
Summary(de):	Desktopverwaltung für den Xfce Desktop
Name:		xfdesktop
Version:	4.12.4
Release:	%mkrel 1
License:	GPLv2+
Group:	Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	xfce-applications.menu
Source2:	Uplos
Source3:	xfce-uplos.jpg
Patch5:		%{name}-4.6.0-default-uplos-color.patch
#------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}exo-devel
BuildRequires: %{_lib}garcon-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}wnck1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xfce4ui-devel
BuildRequires: libxfce4util-devel
BuildRequires: xfce4-dev-tools
BuildRequires: xfconf-devel
BuildRequires: thunar-devel
BuildRequires: gettext-devel
BuildRequires: libpthread-stubs
#------------------------------------------
Requires:	desktop-common-data
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The desktop manager sets the background image, provides a right-click
menu to launch applications and can optionally show files
(including application launchers) or iconified windows. It includes
gradient support for background color, saturation support for background image,
real multiscreen and xinerama support, and it provides a desktop menu editor.

%description -l de
Die Desktopverwaltung setzt das Hintergrundbild, bietet ein Rechtsklickmenü
zum Starten von Programmen und kann optional Dateien anzeigen (einschließlich
Programmstarter) oder zu einem Symbol geschrumpfte Fenster anzeigen. Es 
beinhaltet auch Unterstützung für Gradienten in der Hintergrundfarbe, Sättigungs-
unterstützung für Hintergrundbilder, reale Unterstützung für mehrere Bildschirme
und xinerama. Weiterhin bietet es einen Editor für das Desktopmenü.

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q

%patch5 -p1

%build
%configure2_5x \
	--enable-desktop-icons \
	--enable-notifications \
	--enable-file-icons \
	--disable-thunarx \
	--enable-gio-unix \
	--enable-desktop-menu \
	--with-file-manager-fallback=Thunar

%make

%install
rm -rf %{buildroot}

%makeinstall_std

mkdir -p %{buildroot}/%{_sysconfdir}/xdg/menus/
mkdir -p %{buildroot}%{_datadir}/xfce4
install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/xdg/menus/xfce-applications.menu
install -m 0644 %SOURCE2 %{buildroot}%{_datadir}/xfce4/uplos
install -m 0644 %SOURCE3 %{buildroot}%{_datadir}/backgrounds/xfce

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*
%{_datadir}/pixmaps/*
%{_datadir}/xfce4/*
%{_mandir}/man1/*
%{_datadir}/backgrounds/xfce/xfce-blue.jpg
%{_datadir}/backgrounds/xfce/xfce-teal.jpg
%{_datadir}/backgrounds/xfce/xfce-uplos.jpg
%{_sysconfdir}/xdg/menus/xfce-applications.menu

%files doc
%defattr(-,root,root)
%doc README TODO AUTHORS NEWS doc/README.*
# %{_datadir}/doc

%changelog
* Mon May 28 2018 adrianomorselli <adrianomorselli> 4.12.4-1uplos2018
- switch to uplos image
